%Created by Miguel Angel Rubio - marubio@ugr.es
%date: June 2014
%This example code is in the public domain.   

function lee_temp(ard)
%Funcin lee_temp. Lee la temperatura mediante Arduino
%El sensor es el TMP36 del Arduino Starter Kit
%Ver los pdf adjuntos
%Argumento de entrada
%ard: Arduino conectado
 
%Aadimos las libreras necesarias
run('../../utilArduino/instala_librerias.m');


 %El pin que vamos a usar para leer la temperatura
 analogPIN = 0;

 %Realizamos 20 medidas para minimizar el error.
 temp = ones(1,20);
 for cont = 1:20
    voltaje = lee_voltaje(ard,analogPIN); %Medida directa
    volt_norm = voltaje*5/1024; %Voltaje normalizado
    temp(cont) = volt_norm/0.01 - 50; %En C
 end

 %Hacemos la media y lo mostramos
 temperatura = mean(temp,2);
 fprintf('\n        %4.1f C\n\n',temperatura);
end

