%Created by Miguel Angel Rubio - marubio@ugr.es
%date: June 2014
%This example code is in the public domain.   

function distancia = lee_distancia(ard)
%Funcin lee_distancia. Lee la distancia mediante Arduino
%El sensor es el LV-MaxSonar EZ1 
%Ver los pdf adjuntos
%Argumento de entrada
%ard: Arduino conectado

%Aadimos las libreras necesarias
run('../../utilArduino/instala_librerias.m');


 %El pin que vamos a usar para leer la temperatura
 analogPIN = 3;
 %Numero de medidas
 num_medidas = 15;

 %Realizamos num_medidas medidas para estabilizar el resultado
 %Las medidas del sensor no son muy estables
 distancia_inst = ones(1,num_medidas);
 for cont = 1:num_medidas
    voltaje = lee_voltaje(ard,analogPIN); %Medida directa
    volt_norm = voltaje/2; %En unidades normalizadas
    distancia_inst(cont) = volt_norm*2.54; %En cm
 end

 %Hacemos la media y lo mostramos
 distancia = mean(distancia_inst,2);
 
end